
"""
$Id: niederworksBRIDGEPermissions.py,v 1.6 2002/05/16 23:08:43 evonnied Exp $
"""
##############################################################################
## copyright (C) 2002 Eugene von Niederhausern
##
##
##    This file is part of niederworksBRIDGE.
##
##    niederworksBRIDGE is free software; you can redistribute it and/or modify
##    it under the terms of the GNU General Public License as published by
##    the Free Software Foundation; either version 2 of the License, or
##    (at your option) any later version.
##
##    niederworksBRIDGE is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with niederworksBRIDGE; if not, write to the Free Software
##    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##
##############################################################################




__version__='$Revision: 1.6 $'[11:-2]

import Globals, AccessControl, Products
from AccessControl import Permissions
from Products.CMFCore.CMFCorePermissions import setDefaultRoles
# General Zope permissions
View = Permissions.view
AccessContentsInformation = Permissions.access_contents_information
UndoChanges = Permissions.undo_changes
ChangePermissions = Permissions.change_permissions
ViewManagementScreens = Permissions.view_management_screens
ManageProperties = Permissions.manage_properties
FTPAccess = Permissions.ftp_access



ModifyReportTable = 'Modify Report Table'
setDefaultRoles(ModifyReportTable, ('Manager',))# + 'Reviewer',))

AddReportTable = 'Add Report Table'
setDefaultRoles(AddReportTable, ('Owner','Manager')) # ,'Reviewer',))  


